namespace Intrepid.Core.Entities
{
    public interface IControllableEntityBrain : IControllableUpdate
    {
        void RunBeforeUpdate();
        void RunAfterUpdate();
        void RunOnLateUpdate();
        void RunOnFixedUpdate();
    }
}